
import sys
from omniORB import CORBA, PortableServer

from RealTimeTaskDelegateImpl import *
from StrictPolicyDelegateImpl import *

class myRealTimeTaskDelegateImpl(RealTimeTaskDelegateImpl):
    def PassCPU(self, rtt, status, advice, krp):
        advice.Compute = advice.Compute * 2
        return self.myRemoteObject.PassCPU(rtt, status, advice, krp)
    pass

class myStrictPolicyDelegateImpl(StrictPolicyDelegateImpl):
    def ChangeTaskCPU(self, task, advice):
        advice.Compute = advice.Compute / 2
        return self.myRemoteObject.ChangeTaskCPU(task, advice)
    pass

orb = CORBA.ORB_init(sys.argv, CORBA.ORB_ID)
poa = orb.resolve_initial_references("RootPOA")

ti = myRealTimeTaskDelegateImpl()
to = ti._this()

file = open(sys.argv[1], 'w')
file.write(orb.object_to_string(to))
file.close()

pi = myStrictPolicyDelegateImpl()
po = pi._this()

file = open(sys.argv[2], 'w')
file.write(orb.object_to_string(po))
file.close()

poaManager = poa._get_the_POAManager()
poaManager.activate()

orb.run()
